/* 
 * Nazev:	Genealogicky expertni system
 * Tda:	Pohlavi
 * Autor:	Antnonin Neumann
 * Datum:	3. 5. 2014
 * Verze:	1
 */
package genealogy;

/**
 * Vyctovy typ umoznujici rozlisit pohlavi.
 * 
 * @author Antonin Neumann
 * 
 */
public enum Gender { 
	MALE, 
	FEMALE;
	
	@Override
	public String toString(){
		switch (name()) {
			case "MALE":
				return "muz";
			case "FEMALE":
				return "zena";
		}
		return null;
	}
	
	/**
	 * Pokud je string roven "male" vrati Gender.MALE
	 * jinak Gender.FEMALE
	 * 
	 * @param sex String - pohlavi
	 * @return
	 */
	public static Gender getFromString(String sex){
		sex = sex.trim();
		if(sex.compareToIgnoreCase("male") == 0){
			return Gender.MALE;
		}else{
			return Gender.FEMALE;
		}
	}
	
	public static Gender getOpposite(Gender sex){
		if(sex == Gender.MALE) 
			return Gender.FEMALE;
		else 
			return Gender.MALE;
	}
}
