/* 
 * Nazev:	Genealogicky expertni system
 * Tda:	Muzsko-zensky retezec
 * Autor:	Antnonin Neumann
 * Datum:	3. 5. 2014
 * Verze:	1
 */
package genealogy;

/**
 * Retezec rozlisujici mezi zenskym a muzskym tvarem.
 * Rozvnez umoznuje pridat tvar slova v 7. padu.
 * 
 * @author Antonin Neumann
 *
 */
public class MFString {
	public String male;
	public String female;
	public String male4th;
	public String female4th;
			
	public MFString(String male, String female){
		this(male, null, female, null);
	}
	
	public MFString(String male, String male7th, String female, String female7th){
		this.male = male;
		this.male4th = male7th;
		this.female = female;
		this.female4th = female7th;
	}
	
	public String getName(Gender sex){
		if(sex == Gender.FEMALE) return this.female;
		else return this.male;
	}
	
	public String get4thName(Gender sex){
		if(sex == Gender.FEMALE) {
			if(female4th.isEmpty())
				return this.female;
			else 
				return this.female4th;
		}
		else {
			if(male4th.isEmpty())
				return this.male;
			else 
				return this.male4th;
		}
	}
	
	public void setName(String male, String female){
		this.male = male;
		this.female = female;
	}
	
	public void setName4th(String male, String female){
		this.male4th = male;
		this.female4th = female;
	}
}
